# `bootstrap` ( global in module `ng` )

## Description

Use this function to manually start up angular application.

See: Bootstrap

## Usage

    angular.bootstrap(element[, modules]);

### Parameters

- `element – {Element} –`

  DOM element which is the root of angular application.

- `modules(optional) – {Array<String|Function>=} –`

  an array of module declarations. See: `modules`

### Returns

`{AUTO.$injector}` –

Returns the newly created injector for this app.